# Contract entry point

The `ContractEntryPoint` entity offers a normalized representation of the Casper Network [EntryPoint](https://docs.casper.network/concepts/glossary/E/#entry-point). Entry points are associated with the [Contract](https://docs.cspr.cloud/1.0.x/rest-api/contract) entity and describe how to interact with it. In CSPR.Cloud, only the name of the entry point and its relations to the Contract and ContractPackage are stored.

## Properties

The `ContractEntryPoint` entity has the following properties:

| Property                | Type         | Description                                                                                           |
| ----------------------- | ------------ | ----------------------------------------------------------------------------------------------------- |
| `contract_hash`         | `string(64)` | Contract hash represented as a hexadecimal string. Unique contract identifier                         |
| `contract_package_hash` | `string(64)` | Hash of the contract package, this contract version is a part of, represented as a hexadecimal string |
| `name`                  | `string`     | Name of the entry point                                                                               |

**Example**

```json
{
    "contract_hash": "a0a1d2d3d4d5d6d7d8d9e0e1e2e3e4e5e6e7e8e9f0f1f2f3f4f5f6f7f8f9a0a1",
    "contract_package_hash": "b0b1b2b3b4b5b6b7b8b9c0c1c2c3c4c5c6c7c8c9d0d1d2d3d4d5d6d7d8d9e0e1",
    "name": "transfer"
}
```

## Optional properties

None

## Relations

The `ContractEntryPoint` entity has the following relations with other entities:

| Entity                                                                       | Mapping property        | Description                                                                           |
| ---------------------------------------------------------------------------- | ----------------------- | ------------------------------------------------------------------------------------- |
| [`Contract`](https://docs.cspr.cloud/1.0.x/rest-api/contract)                | `contract_hash`         | Entry point is associated with a contract                                             |
| [`ContractPackage`](https://docs.cspr.cloud/1.0.x/rest-api/contract-package) | `contract_package_hash` | Entry point is associated with a contract, that is a version of the contract package. |

## Endpoints

The `ContractEntryPoint` entity has the following endpoints:

* [Get contract entry points](https://docs.cspr.cloud/1.0.x/rest-api/contract-entry-point/get-contract-entry-point-costs)

## Relation endpoints

* [Get contract entry point costs](https://docs.cspr.cloud/1.0.x/rest-api/contract-entry-point/get-contract-entry-point-costs)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.0.x/rest-api/contract-entry-point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
